Error xulrunner al actualizar a Ubuntu 18

classic Classic list List threaded Threaded
38 messages Options
12
Reply | Threaded
Open this post in threaded view
|

Re: Error xulrunner al actualizar a Ubuntu 18

evangelsan evangelsan
Hola amigos.
Si pongo lo que me dices, Braiam, no pasa absolutamente nada:

fugitiv1@ordenador-desktop:~$ sudo dpkg -C
fugitiv1@ordenador-desktop:~$ dpkg -C
fugitiv1@ordenador-desktop:~$

Las órdenes que me comentas, Mauricio, ya las había ejecutado unas cuantas veces.
Me dan error 127 y que no pueden quitar el dichoso paquete.
Saludos.
Angel

> El 17 de enero de 2019 a las 13:36 Braiam Peguero <[hidden email]> escribió:
>
>
> > E: No se pudo bloquear /var/cache/apt/archives/lock - open (11: Recurso no disponible temporalmente)
>
> Usualmente significa que otra instancia de apt esta corriendo. Algunas
> veces apt se queda atascado y
> un reinicio lo soluciona.
>
> > /var/lib/dpkg/info/xulrunner-1.9.1.prerm: 8: /var/lib/dpkg/info/xulrunner-1.9.1.prerm: /usr/sbin/update-alternatives: not found
>
> Indica que dpkg fallo al correr el preremoval script. dpkg -C puede
> dar indicación de cuales paquetes
> faltan por configurar correctamente y si existen alguna dependencia
> que no se cumple. Por favor
> corre dpkg -C en la linea de comandos y envía *todo* lo que dice.
>
> On Thu, Jan 17, 2019 at 4:43 AM evangelsan evangelsan
> <[hidden email]> wrote:
> >
> > Hola Braiam.
> > No entiendo que me quieres decir exactamente.
> > El equipo lo he reiniciado unas cuantas veces desde que tengo este problema.
> > Saludos.
> >
> > > El 16 de enero de 2019 a las 14:22 Braiam Peguero <[hidden email]> escribió:
> > >
> > >
> > > Hola,
> > >
> > > Por favor, envia el resultado de dpkg -C y haz reiniciado el equipo
> > > desde que tienes este
> > > problema?
> > >
> > > On Wed, Jan 16, 2019 at 5:42 AM evangelsan evangelsan
> > > <[hidden email]> wrote:
> > > >
> > > > Parece que tampoco funciona.
> > > >
> > > > Esto me da la terminal:
> > > >
> > > > Tal vez quiera ejecutar «apt --fix-broken install» para corregirlo.
> > > > Los siguientes paquetes tienen dependencias incumplidas:
> > > > xulrunner-1.9.1 : Depende: libnspr4-0d (>= 4.7.3-0ubuntu1~) pero no es instalable
> > > > Depende: libnss3-1d (>= 3.12.6) pero no es instalable
> > > > E: Dependencias incumplidas. Intente «apt --fix-broken install» sin paquetes (o especifique una solución).
> > > > fugitiv1@ordenador-desktop:~$ apt --fix-broken install
> > > > E: No se pudo abrir el fichero de bloqueo «/var/lib/dpkg/lock» - open (13: Permiso denegado)
> > > > E: No se pudo bloquear el directorio de administración (/var/lib/dpkg/), ¿está como superusuario?
> > > > fugitiv1@ordenador-desktop:~$ sudo killall apt-get
> > > > apt-get: proceso no encontrado
> > > > fugitiv1@ordenador-desktop:~$ sudo rm /var/lib/apt/lists/lock
> > > > rm: no se puede borrar '/var/lib/apt/lists/lock': No existe el archivo o el directorio
> > > > fugitiv1@ordenador-desktop:~$ sudo rm /var/cache/apt/archives/lock
> > > > fugitiv1@ordenador-desktop:~$ sudo rm /var/lib/dpkg/lock
> > > > fugitiv1@ordenador-desktop:~$ sudo dpkg --configure -a
> > > >
> > > > Saludos
> > > >
> > > > El 15 de enero de 2019 a las 12:27 Javier Garcia <[hidden email]> escribió:
> > > >
> > > > El martes, 15 de enero de 2019 9:48:41 (CET) Juan Francisco Guil Vázquez escribió:
> > > >
> > > >
> > > >
> > > > Mirate esta pagina, dicen como puedes solucionarlo.
> > > >
> > > >
> > > >
> > > > https://itsfoss.com/fix-ubuntu-install-error/
> > > >
> > > >
> > > >
> > > >
> > > >
> > > > > El 15/01/2019 a las 9:09, evangelsan evangelsan escribió:
> > > >
> > > > > > sudo dpkg --purge --force --xulrunner-1.9.1
> > > >
> > > > > > *dpkg: error: opción «force/refuse» desconocida `--xulrunner-1.9.1'*
> > > >
> > > > > >
> > > >
> > > > > > Escriba dpkg --help para ayuda sobre instalar y desinstalar paquetes [*];
> > > >
> > > > > > Use `apt' o `aptitude' para una gestión de los paquetes más amigable;
> > > >
> > > > > > Escriba dpkg -Dhelp para una lista de los valores de depuración de dpkg;
> > > >
> > > > > > Escriba dpkg --force-help para una lista de las opciones para forzar
> > > >
> > > > > > cosas;
> > > >
> > > > > > Escriba dpkg-deb --help para obtener ayuda sobre manipulación de
> > > >
> > > > > > archivos .deb;
> > > >
> > > > > >
> > > >
> > > > > > Las opciones marcadas con [*] producen una salida extensa,
> > > >
> > > > > > ¡fíltrela con `less' o con `more'!
> > > >
> > > >
> > > >
> > > >
> > > >
> > > >
> > > >
> > > >
> > > > --
> > > > ubuntu-es mailing list
> > > > [hidden email]
> > > > https://lists.ubuntu.com/mailman/listinfo/ubuntu-es
> > > >
> > > >
> > > >
> > > >
> > > > --
> > > > ubuntu-es mailing list
> > > > [hidden email]
> > > > https://lists.ubuntu.com/mailman/listinfo/ubuntu-es
> > >
> > >
> > >
> > > --
> > > Braiam
>
>
>
> --
> Braiam

--
ubuntu-es mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/ubuntu-es
Reply | Threaded
Open this post in threaded view
|

Re: Error xulrunner al actualizar a Ubuntu 18

braiam
Excelente. Esto indica que tu sistema no tiene problemas de paquetes
en mal estado. En correos anteriores te apareció el siguiente error:

> E: No se pudo bloquear /var/cache/apt/archives/lock - open (11: Recurso no disponible temporalmente)

Puedes correr `sudo lsof /var/cache/apt/archives/lock` y `sudo lsof
/var/lib/dpkg/lock`? Si no te devuelve nada ejecuta:

     sudo apt-get update && sudo apt-get -f install

Si, todavía te sigue apareciendo el error, manda el resultado de `ls
-l /var/cache/apt/archives /var/lib/dpkg`.

On Fri, Jan 18, 2019 at 4:24 AM evangelsan evangelsan
<[hidden email]> wrote:

>
> Hola amigos.
> Si pongo lo que me dices, Braiam, no pasa absolutamente nada:
>
> fugitiv1@ordenador-desktop:~$ sudo dpkg -C
> fugitiv1@ordenador-desktop:~$ dpkg -C
> fugitiv1@ordenador-desktop:~$
>
> Las órdenes que me comentas, Mauricio, ya las había ejecutado unas cuantas veces.
> Me dan error 127 y que no pueden quitar el dichoso paquete.
> Saludos.
> Angel
>
> > El 17 de enero de 2019 a las 13:36 Braiam Peguero <[hidden email]> escribió:
> >
> >
> > > E: No se pudo bloquear /var/cache/apt/archives/lock - open (11: Recurso no disponible temporalmente)
> >
> > Usualmente significa que otra instancia de apt esta corriendo. Algunas
> > veces apt se queda atascado y
> > un reinicio lo soluciona.
> >
> > > /var/lib/dpkg/info/xulrunner-1.9.1.prerm: 8: /var/lib/dpkg/info/xulrunner-1.9.1.prerm: /usr/sbin/update-alternatives: not found
> >
> > Indica que dpkg fallo al correr el preremoval script. dpkg -C puede
> > dar indicación de cuales paquetes
> > faltan por configurar correctamente y si existen alguna dependencia
> > que no se cumple. Por favor
> > corre dpkg -C en la linea de comandos y envía *todo* lo que dice.
> >
> > On Thu, Jan 17, 2019 at 4:43 AM evangelsan evangelsan
> > <[hidden email]> wrote:
> > >
> > > Hola Braiam.
> > > No entiendo que me quieres decir exactamente.
> > > El equipo lo he reiniciado unas cuantas veces desde que tengo este problema.
> > > Saludos.
> > >
> > > > El 16 de enero de 2019 a las 14:22 Braiam Peguero <[hidden email]> escribió:
> > > >
> > > >
> > > > Hola,
> > > >
> > > > Por favor, envia el resultado de dpkg -C y haz reiniciado el equipo
> > > > desde que tienes este
> > > > problema?
> > > >
> > > > On Wed, Jan 16, 2019 at 5:42 AM evangelsan evangelsan
> > > > <[hidden email]> wrote:
> > > > >
> > > > > Parece que tampoco funciona.
> > > > >
> > > > > Esto me da la terminal:
> > > > >
> > > > > Tal vez quiera ejecutar «apt --fix-broken install» para corregirlo.
> > > > > Los siguientes paquetes tienen dependencias incumplidas:
> > > > > xulrunner-1.9.1 : Depende: libnspr4-0d (>= 4.7.3-0ubuntu1~) pero no es instalable
> > > > > Depende: libnss3-1d (>= 3.12.6) pero no es instalable
> > > > > E: Dependencias incumplidas. Intente «apt --fix-broken install» sin paquetes (o especifique una solución).
> > > > > fugitiv1@ordenador-desktop:~$ apt --fix-broken install
> > > > > E: No se pudo abrir el fichero de bloqueo «/var/lib/dpkg/lock» - open (13: Permiso denegado)
> > > > > E: No se pudo bloquear el directorio de administración (/var/lib/dpkg/), ¿está como superusuario?
> > > > > fugitiv1@ordenador-desktop:~$ sudo killall apt-get
> > > > > apt-get: proceso no encontrado
> > > > > fugitiv1@ordenador-desktop:~$ sudo rm /var/lib/apt/lists/lock
> > > > > rm: no se puede borrar '/var/lib/apt/lists/lock': No existe el archivo o el directorio
> > > > > fugitiv1@ordenador-desktop:~$ sudo rm /var/cache/apt/archives/lock
> > > > > fugitiv1@ordenador-desktop:~$ sudo rm /var/lib/dpkg/lock
> > > > > fugitiv1@ordenador-desktop:~$ sudo dpkg --configure -a
> > > > >
> > > > > Saludos
> > > > >
> > > > > El 15 de enero de 2019 a las 12:27 Javier Garcia <[hidden email]> escribió:
> > > > >
> > > > > El martes, 15 de enero de 2019 9:48:41 (CET) Juan Francisco Guil Vázquez escribió:
> > > > >
> > > > >
> > > > >
> > > > > Mirate esta pagina, dicen como puedes solucionarlo.
> > > > >
> > > > >
> > > > >
> > > > > https://itsfoss.com/fix-ubuntu-install-error/
> > > > >
> > > > >
> > > > >
> > > > >
> > > > >
> > > > > > El 15/01/2019 a las 9:09, evangelsan evangelsan escribió:
> > > > >
> > > > > > > sudo dpkg --purge --force --xulrunner-1.9.1
> > > > >
> > > > > > > *dpkg: error: opción «force/refuse» desconocida `--xulrunner-1.9.1'*
> > > > >
> > > > > > >
> > > > >
> > > > > > > Escriba dpkg --help para ayuda sobre instalar y desinstalar paquetes [*];
> > > > >
> > > > > > > Use `apt' o `aptitude' para una gestión de los paquetes más amigable;
> > > > >
> > > > > > > Escriba dpkg -Dhelp para una lista de los valores de depuración de dpkg;
> > > > >
> > > > > > > Escriba dpkg --force-help para una lista de las opciones para forzar
> > > > >
> > > > > > > cosas;
> > > > >
> > > > > > > Escriba dpkg-deb --help para obtener ayuda sobre manipulación de
> > > > >
> > > > > > > archivos .deb;
> > > > >
> > > > > > >
> > > > >
> > > > > > > Las opciones marcadas con [*] producen una salida extensa,
> > > > >
> > > > > > > ¡fíltrela con `less' o con `more'!
> > > > >
> > > > >
> > > > >
> > > > >
> > > > >
> > > > >
> > > > >
> > > > >
> > > > > --
> > > > > ubuntu-es mailing list
> > > > > [hidden email]
> > > > > https://lists.ubuntu.com/mailman/listinfo/ubuntu-es
> > > > >
> > > > >
> > > > >
> > > > >
> > > > > --
> > > > > ubuntu-es mailing list
> > > > > [hidden email]
> > > > > https://lists.ubuntu.com/mailman/listinfo/ubuntu-es
> > > >
> > > >
> > > >
> > > > --
> > > > Braiam
> >
> >
> >
> > --
> > Braiam



--
Braiam

--
ubuntu-es mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/ubuntu-es
Reply | Threaded
Open this post in threaded view
|

Re: Error xulrunner al actualizar a Ubuntu 18

Mauricio J. Adonis C.
El vie, 18-01-2019 a las 10:24 -0400, Braiam Peguero escribió:
> > E: No se pudo bloquear /var/cache/apt/archives/lock - open (11:
> > Recurso no disponible temporalmente)

Cuando te aparezca este tipo error simplemente elimina ese archivo (y
cualquier otro similar que apareciera). Ese archivo 'lock' es un
especie de banderilla que se crea cuando un gestor de paquetes empieza
a trabajar sobre el sistema de paquetes con el fin de que si otro
gestor de paquetes intentara acceder al sistema de paquetes este
archivo lo bloqueara, evitando que dos gestores actúen sobre el sistema
simultáneamente pudiendo dañarlo.
Este archivo se elimina automáticamente al terminar el gestor de
paquetes  que lo invocó, sin embargo algunas veces NO se borra
automáticamente y bloquea todo el sistema de paquetes... Se puede
borrar con seguridad si no hay ningún administrador de paquetes
funcionando. Una vez que lo borres reintenta lo que quieres hacer..

sudo rm /var/cache/apt/archives/lock
sudo apt-get update

Saludos,
Mauricio J. Adonis C.


--
ubuntu-es mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/ubuntu-es
Reply | Threaded
Open this post in threaded view
|

Re: Error xulrunner al actualizar a Ubuntu 18

braiam
> Cuando te aparezca este tipo error simplemente elimina ese archivo (y
> cualquier otro similar que apareciera).

No solo no es necesario removerlo, es **extremadamente peligroso
hacerlo**. Cada vez que apt/dpkg trabajan, estos se aseguran de que
otras instancias no traten de hacer cambios (ej. dos dpkg
instalando/desinstalando cosas es una excelente manera de obtener
problemas de dependencias). lsof nos dirá exactamente que proceso esta
bloqueando el archivo, para así terminarlo de manera segura (imagina
que aptd esta actualizando algo en background). Remover archivos cada
vez que se te presente un problema es una forma segura de obtener
peores problemas (de la misma manera que muchos dicen "usa sudo"
cuando no tienen permisos para manipular un archivo.





On Sat, Jan 19, 2019 at 10:43 AM <[hidden email]> wrote:

>
> El vie, 18-01-2019 a las 10:24 -0400, Braiam Peguero escribió:
> > > E: No se pudo bloquear /var/cache/apt/archives/lock - open (11:
> > > Recurso no disponible temporalmente)
>
> Cuando te aparezca este tipo error simplemente elimina ese archivo (y
> cualquier otro similar que apareciera). Ese archivo 'lock' es un
> especie de banderilla que se crea cuando un gestor de paquetes empieza
> a trabajar sobre el sistema de paquetes con el fin de que si otro
> gestor de paquetes intentara acceder al sistema de paquetes este
> archivo lo bloqueara, evitando que dos gestores actúen sobre el sistema
> simultáneamente pudiendo dañarlo.
> Este archivo se elimina automáticamente al terminar el gestor de
> paquetes  que lo invocó, sin embargo algunas veces NO se borra
> automáticamente y bloquea todo el sistema de paquetes... Se puede
> borrar con seguridad si no hay ningún administrador de paquetes
> funcionando. Una vez que lo borres reintenta lo que quieres hacer..
>
> sudo rm /var/cache/apt/archives/lock
> sudo apt-get update
>
> Saludos,
> Mauricio J. Adonis C.
>


--
Braiam

--
ubuntu-es mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/ubuntu-es
Reply | Threaded
Open this post in threaded view
|

Re: Error xulrunner al actualizar a Ubuntu 18

evangelsan evangelsan
Con estas órdenes, Braiam,  parece que el sistema realiza un montón de acciones pero al final me sale esto:

fugitiv1@ordenador-desktop:~$ /var/lib/dpkg/lock
bash: /var/lib/dpkg/lock: Permiso denegado
fugitiv1@ordenador-desktop:~$ sudo apt-get update
Obj:1 http://security.ubuntu.com/ubuntu bionic-security InRelease
Obj:2 http://es.archive.ubuntu.com/ubuntu bionic InRelease
Obj:3 http://es.archive.ubuntu.com/ubuntu bionic-updates InRelease
Leyendo lista de paquetes... Hecho

Y luego sigo sin poder eliminar el dichoso xulrunner:
error 127

Saludos

> El 19 de enero de 2019 a las 16:59 Braiam Peguero <[hidden email]> escribió:
>
>
> > Cuando te aparezca este tipo error simplemente elimina ese archivo (y
> > cualquier otro similar que apareciera).
>
> No solo no es necesario removerlo, es **extremadamente peligroso
> hacerlo**. Cada vez que apt/dpkg trabajan, estos se aseguran de que
> otras instancias no traten de hacer cambios (ej. dos dpkg
> instalando/desinstalando cosas es una excelente manera de obtener
> problemas de dependencias). lsof nos dirá exactamente que proceso esta
> bloqueando el archivo, para así terminarlo de manera segura (imagina
> que aptd esta actualizando algo en background). Remover archivos cada
> vez que se te presente un problema es una forma segura de obtener
> peores problemas (de la misma manera que muchos dicen "usa sudo"
> cuando no tienen permisos para manipular un archivo.
>
>
>
>
>
> On Sat, Jan 19, 2019 at 10:43 AM <[hidden email]> wrote:
> >
> > El vie, 18-01-2019 a las 10:24 -0400, Braiam Peguero escribió:
> > > > E: No se pudo bloquear /var/cache/apt/archives/lock - open (11:
> > > > Recurso no disponible temporalmente)
> >
> > Cuando te aparezca este tipo error simplemente elimina ese archivo (y
> > cualquier otro similar que apareciera). Ese archivo 'lock' es un
> > especie de banderilla que se crea cuando un gestor de paquetes empieza
> > a trabajar sobre el sistema de paquetes con el fin de que si otro
> > gestor de paquetes intentara acceder al sistema de paquetes este
> > archivo lo bloqueara, evitando que dos gestores actúen sobre el sistema
> > simultáneamente pudiendo dañarlo.
> > Este archivo se elimina automáticamente al terminar el gestor de
> > paquetes  que lo invocó, sin embargo algunas veces NO se borra
> > automáticamente y bloquea todo el sistema de paquetes... Se puede
> > borrar con seguridad si no hay ningún administrador de paquetes
> > funcionando. Una vez que lo borres reintenta lo que quieres hacer..
> >
> > sudo rm /var/cache/apt/archives/lock
> > sudo apt-get update
> >
> > Saludos,
> > Mauricio J. Adonis C.
> >
>
>
> --
> Braiam

--
ubuntu-es mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/ubuntu-es
Reply | Threaded
Open this post in threaded view
|

Re: Error xulrunner al actualizar a Ubuntu 18

braiam
Lamentablemente, esos no fueron los comandos que quise que ejecutaras,
ni incluiste el resultado de los mismos. Cuando se realizan pruebas
diagnosticas es importante seguir las instrucciones y copiar y pegar
exactamente todo lo que resultan de ellas, ya que sin estos es
imposible solucionar el problema. Error 127 solo dice que dpkg terminó
de forma inesperada, lo cual no es útil para identificar la causa del
problema. Favor ejecutar tal y como aparecen y enviar el resultado de
los mismos.

> sudo lsof /var/cache/apt/archives/lock
> sudo lsof /var/lib/dpkg/lock
> sudo apt-get update && sudo apt-get -f install

> Si, todavía te sigue apareciendo el error, manda el resultado de `ls
-l /var/cache/apt/archives /var/lib/dpkg`.

On Sat, Jan 19, 2019 at 2:37 PM evangelsan evangelsan
<[hidden email]> wrote:

>
> Con estas órdenes, Braiam,  parece que el sistema realiza un montón de acciones pero al final me sale esto:
>
> fugitiv1@ordenador-desktop:~$ /var/lib/dpkg/lock
> bash: /var/lib/dpkg/lock: Permiso denegado
> fugitiv1@ordenador-desktop:~$ sudo apt-get update
> Obj:1 http://security.ubuntu.com/ubuntu bionic-security InRelease
> Obj:2 http://es.archive.ubuntu.com/ubuntu bionic InRelease
> Obj:3 http://es.archive.ubuntu.com/ubuntu bionic-updates InRelease
> Leyendo lista de paquetes... Hecho
>
> Y luego sigo sin poder eliminar el dichoso xulrunner:
> error 127
>
> Saludos
>
> > El 19 de enero de 2019 a las 16:59 Braiam Peguero <[hidden email]> escribió:
> >
> >
> > > Cuando te aparezca este tipo error simplemente elimina ese archivo (y
> > > cualquier otro similar que apareciera).
> >
> > No solo no es necesario removerlo, es **extremadamente peligroso
> > hacerlo**. Cada vez que apt/dpkg trabajan, estos se aseguran de que
> > otras instancias no traten de hacer cambios (ej. dos dpkg
> > instalando/desinstalando cosas es una excelente manera de obtener
> > problemas de dependencias). lsof nos dirá exactamente que proceso esta
> > bloqueando el archivo, para así terminarlo de manera segura (imagina
> > que aptd esta actualizando algo en background). Remover archivos cada
> > vez que se te presente un problema es una forma segura de obtener
> > peores problemas (de la misma manera que muchos dicen "usa sudo"
> > cuando no tienen permisos para manipular un archivo.
> >
> >
> >
> >
> >
> > On Sat, Jan 19, 2019 at 10:43 AM <[hidden email]> wrote:
> > >
> > > El vie, 18-01-2019 a las 10:24 -0400, Braiam Peguero escribió:
> > > > > E: No se pudo bloquear /var/cache/apt/archives/lock - open (11:
> > > > > Recurso no disponible temporalmente)
> > >
> > > Cuando te aparezca este tipo error simplemente elimina ese archivo (y
> > > cualquier otro similar que apareciera). Ese archivo 'lock' es un
> > > especie de banderilla que se crea cuando un gestor de paquetes empieza
> > > a trabajar sobre el sistema de paquetes con el fin de que si otro
> > > gestor de paquetes intentara acceder al sistema de paquetes este
> > > archivo lo bloqueara, evitando que dos gestores actúen sobre el sistema
> > > simultáneamente pudiendo dañarlo.
> > > Este archivo se elimina automáticamente al terminar el gestor de
> > > paquetes  que lo invocó, sin embargo algunas veces NO se borra
> > > automáticamente y bloquea todo el sistema de paquetes... Se puede
> > > borrar con seguridad si no hay ningún administrador de paquetes
> > > funcionando. Una vez que lo borres reintenta lo que quieres hacer..
> > >
> > > sudo rm /var/cache/apt/archives/lock
> > > sudo apt-get update
> > >
> > > Saludos,
> > > Mauricio J. Adonis C.
> > >
> >
> >
> > --
> > Braiam



--
Braiam

--
ubuntu-es mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/ubuntu-es
Reply | Threaded
Open this post in threaded view
|

Re: Error xulrunner al actualizar a Ubuntu 18

evangelsan evangelsan
El mensaje va en dos partes debido a su tamaño:

Las tres primeras órdenes dan esto:

fugitiv1@ordenador-desktop:~$ sudo lsof /var/cache/apt/archives/lock
[sudo] contraseña para fugitiv1:
lsof: WARNING: can't stat() fuse.gvfsd-fuse file system /run/user/1001/gvfs
Output information may be incomplete.
fugitiv1@ordenador-desktop:~$ sudo lsof /var/lib/dpkg/lock
lsof: WARNING: can't stat() fuse.gvfsd-fuse file system /run/user/1001/gvfs
Output information may be incomplete.
fugitiv1@ordenador-desktop:~$ ^C
fugitiv1@ordenador-desktop:~$ sudo apt-get update && sudo apt-get -f install
Des:1 http://security.ubuntu.com/ubuntu bionic-security InRelease [83,2 kB]
Obj:2 http://es.archive.ubuntu.com/ubuntu bionic InRelease
Des:3 http://es.archive.ubuntu.com/ubuntu bionic-updates InRelease [88,7 kB]
Des:4 http://security.ubuntu.com/ubuntu bionic-security/main i386 DEP-11 Metadata [204 B]
Des:5 http://security.ubuntu.com/ubuntu bionic-security/universe i386 DEP-11 Metadata [14,9 kB]
Des:6 http://security.ubuntu.com/ubuntu bionic-security/universe DEP-11 48x48 Icons [9.088 B]
Des:7 http://security.ubuntu.com/ubuntu bionic-security/universe DEP-11 64x64 Icons [39,8 kB]
Des:8 http://es.archive.ubuntu.com/ubuntu bionic-updates/main i386 DEP-11 Metadata [266 kB]
Des:9 http://es.archive.ubuntu.com/ubuntu bionic-updates/main DEP-11 48x48 Icons [61,4 kB]
Des:10 http://es.archive.ubuntu.com/ubuntu bionic-updates/main DEP-11 64x64 Icons [116 kB]
Des:11 http://es.archive.ubuntu.com/ubuntu bionic-updates/universe i386 DEP-11 Metadata [200 kB]
Des:12 http://es.archive.ubuntu.com/ubuntu bionic-updates/universe DEP-11 48x48 Icons [178 kB]
Des:13 http://es.archive.ubuntu.com/ubuntu bionic-updates/universe DEP-11 64x64 Icons [323 kB]
Descargados 1.379 kB en 3s (442 kB/s)
Leyendo lista de paquetes... Hecho
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
Corrigiendo dependencias... Listo
Los siguientes paquetes se ELIMINARÁN:
xulrunner-1.9.1
0 actualizados, 0 nuevos se instalarán, 1 para eliminar y 454 no actualizados.
Se liberarán 21,9 MB después de esta operación.
¿Desea continuar? [S/n] S
(Leyendo la base de datos ... 281664 ficheros o directorios instalados actualmente.)
Desinstalando xulrunner-1.9.1 (1.9.1.16+build2+nobinonly-0ubuntu0.9.10.1) ...
/var/lib/dpkg/info/xulrunner-1.9.1.prerm: 8: /var/lib/dpkg/info/xulrunner-1.9.1.prerm: /usr/sbin/update-alternatives: not found
dpkg: error al procesar el paquete xulrunner-1.9.1 (--remove):
instalado xulrunner-1.9.1 paquete pre-removal guión el subproceso devolvió un error con estado de salida 127
Se encontraron errores al procesar:
xulrunner-1.9.1
E: Sub-process /usr/bin/dpkg returned an error code (1)

La última orden esto otro:

fugitiv1@ordenador-desktop:~$ ls -l /var/cache/apt/archives /var/lib/dpkg
/var/cache/apt/archives:
total 497060
-rw-r--r-- 1 root root 1140052 oct 24 01:18 apache2-bin_2.4.29-1ubuntu4.5_i386.deb
-rw-r--r-- 1 root root 525072 oct 4 20:38 apparmor_2.12-4ubuntu5.1_i386.deb
-rw-r--r-- 1 root root 50552 oct 4 20:38 apparmor-utils_2.12-4ubuntu5.1_i386.deb
-rw-r--r-- 1 root root 123832 nov 5 21:53 apport_2.20.9-0ubuntu7.5_all.deb
-rw-r--r-- 1 root root 9704 nov 5 21:53 apport-gtk_2.20.9-0ubuntu7.5_all.deb
-rw-r--r-- 1 root root 28968 sep 19 11:33 appstream_0.12.0-3ubuntu1_i386.deb
-rw-r--r-- 1 root root 1193308 oct 18 00:43 apt_1.6.6_i386.deb
-rw-r--r-- 1 root root 2704 sep 19 11:33 apt-config-icons_0.12.0-3ubuntu1_all.deb
-rw-r--r-- 1 root root 1692 oct 18 00:43 apt-transport-https_1.6.6_all.deb
-rw-r--r-- 1 root root 8468 oct 1 18:53 apturl_0.5.2ubuntu14.2_i386.deb
-rw-r--r-- 1 root root 10928 oct 1 18:53 apturl-common_0.5.2ubuntu14.2_i386.deb
-rw-r--r-- 1 root root 219060 oct 18 00:43 apt-utils_1.6.6_i386.deb
-rw-r--r-- 1 root root 39296 ago 30 21:34 avahi-autoipd_0.7-3.1ubuntu1.1_i386.deb
-rw-r--r-- 1 root root 65368 ago 30 21:34 avahi-daemon_0.7-3.1ubuntu1.1_i386.deb
-rw-r--r-- 1 root root 24996 ago 30 21:34 avahi-utils_0.7-3.1ubuntu1.1_i386.deb
-rw-r--r-- 1 root root 58268 oct 23 19:18 bind9-host_1%3a9.11.3+dfsg-1ubuntu1.3_i386.deb
-rw-r--r-- 1 root root 3392 sep 15 00:43 binutils_2.30-21ubuntu1~18.04_i386.deb
-rw-r--r-- 1 root root 193124 sep 15 00:43 binutils-common_2.30-21ubuntu1~18.04_i386.deb
-rw-r--r-- 1 root root 2028472 sep 15 00:43 binutils-i686-linux-gnu_2.30-21ubuntu1~18.04_i386.deb
-rw-r--r-- 1 root root 91684 nov 7 14:48 bolt_0.5-0ubuntu0.18.04.1_i386.deb
-rw-r--r-- 1 root root 1161984 sep 4 17:33 brltty_5.5-4ubuntu2.0.1_i386.deb
-rw-r--r-- 1 root root 22636 sep 4 17:33 brltty-x11_5.5-4ubuntu2.0.1_i386.deb
-rw-r--r-- 1 root root 62664 oct 16 18:58 bsdutils_1%3a2.31.1-0.4ubuntu3.3_i386.deb
-rw-r--r-- 1 root root 34396 nov 28 20:23 bubblewrap_0.2.1-1ubuntu0.1_i386.deb
-rw-r--r-- 1 root root 104640 ago 24 10:23 console-setup_1.178ubuntu2.7_all.deb
-rw-r--r-- 1 root root 982216 ago 24 10:23 console-setup-linux_1.178ubuntu2.7_all.deb
-rw-r--r-- 1 root root 27584 sep 17 16:33 cpp_4%3a7.3.0-3ubuntu2.1_i386.deb
-rw-r--r-- 1 root root 6966236 sep 16 02:23 cpp-7_7.3.0-27ubuntu1~18.04_i386.deb
-rw-r--r-- 1 root root 151340 ago 23 18:53 cryptsetup_2%3a2.0.2-1ubuntu1.1_i386.deb
-rw-r--r-- 1 root root 94036 ago 23 18:53 cryptsetup-bin_2%3a2.0.2-1ubuntu1.1_i386.deb
-rw-r--r-- 1 root root 196684 dic 12 21:43 cups_2.2.7-1ubuntu2.3_i386.deb
-rw-r--r-- 1 root root 38620 dic 12 21:43 cups-bsd_2.2.7-1ubuntu2.3_i386.deb
-rw-r--r-- 1 root root 139028 dic 12 21:43 cups-client_2.2.7-1ubuntu2.3_i386.deb
-rw-r--r-- 1 root root 205832 dic 12 21:43 cups-common_2.2.7-1ubuntu2.3_all.deb
-rw-r--r-- 1 root root 28684 dic 12 21:43 cups-core-drivers_2.2.7-1ubuntu2.3_i386.deb
-rw-r--r-- 1 root root 312728 dic 12 21:43 cups-daemon_2.2.7-1ubuntu2.3_i386.deb
-rw-r--r-- 1 root root 218832 dic 12 21:43 cups-ipp-utils_2.2.7-1ubuntu2.3_i386.deb
-rw-r--r-- 1 root root 27160 dic 12 21:43 cups-ppdc_2.2.7-1ubuntu2.3_i386.deb
-rw-r--r-- 1 root root 415248 dic 12 21:43 cups-server-common_2.2.7-1ubuntu2.3_all.deb
-rw-r--r-- 1 root root 50932 nov 9 12:25 desktop-file-utils_0.23-1ubuntu3.18.04.2_i386.deb
-rw-r--r-- 1 root root 342648 ene 10 18:43 dirmngr_2.2.4-1ubuntu1.2_i386.deb
-rw-r--r-- 1 root root 4460 oct 30 16:03 distro-info-data_0.37ubuntu0.2_all.deb
-rw-r--r-- 1 root root 151004 oct 23 19:18 dnsutils_1%3a9.11.3+dfsg-1ubuntu1.3_i386.deb
-rw-r--r-- 1 root root 1162868 oct 18 00:38 dpkg_1.19.0.5ubuntu2.1_i386.deb
-rw-r--r-- 1 root root 607520 oct 18 00:38 dpkg-dev_1.19.0.5ubuntu2.1_all.deb
-rw-r--r-- 1 root root 2712 dic 11 20:23 e2fslibs_1.44.1-1ubuntu1_i386.deb
-rw-r--r-- 1 root root 427608 dic 11 20:23 e2fsprogs_1.44.1-1ubuntu1_i386.deb
-rw-r--r-- 1 root root 4380 dic 11 20:23 e2fsprogs-l10n_1.44.1-1ubuntu1_all.deb
-rw-r--r-- 1 root root 271392 oct 31 17:23 evince_3.28.4-0ubuntu1_i386.deb
-rw-r--r-- 1 root root 112956 oct 31 17:38 evince-common_3.28.4-0ubuntu1_all.deb
-rw-r--r-- 1 root root 263548 ago 13 10:43 evolution_3.28.5-0ubuntu0.18.04.1_i386.deb
-rw-r--r-- 1 root root 972596 ago 13 10:43 evolution-common_3.28.5-0ubuntu0.18.04.1_all.deb
-rw-r--r-- 1 root root 690072 ago 11 00:53 evolution-data-server_3.28.5-0ubuntu0.18.04.1_i386.deb
-rw-r--r-- 1 root root 18196 ago 11 00:53 evolution-data-server-common_3.28.5-0ubuntu0.18.04.1_all.deb
-rw-r--r-- 1 root root 12688 ago 13 10:43 evolution-plugin-bogofilter_3.28.5-0ubuntu0.18.04.1_i386.deb
-rw-r--r-- 1 root root 25296 ago 13 10:43 evolution-plugin-pstimport_3.28.5-0ubuntu0.18.04.1_i386.deb
-rw-r--r-- 1 root root 94616 ago 13 10:43 evolution-plugins_3.28.5-0ubuntu0.18.04.1_i386.deb
-rw-r--r-- 1 root root 116500 oct 16 18:58 fdisk_2.31.1-0.4ubuntu3.3_i386.deb
-rw-r--r-- 1 root root 48605308 dic 11 22:20 firefox_64.0+build3-0ubuntu0.18.04.1_i386.deb
-rw-r--r-- 1 root root 13836 dic 11 22:20 firefox-globalmenu_64.0+build3-0ubuntu0.18.04.1_i386.deb
-rw-r--r-- 1 root root 974108 dic 11 22:20 firefox-locale-en_64.0+build3-0ubuntu0.18.04.1_i386.deb
-rw-r--r-- 1 root root 1618080 dic 11 22:20 firefox-locale-es_64.0+build3-0ubuntu0.18.04.1_i386.deb
-rw-r--r-- 1 root root 822380 sep 13 22:33 fonts-liberation_1%3a1.07.4-7~18.04.1_all.deb
-rw-r--r-- 1 root root 1453184 sep 13 22:33 fonts-liberation2_2.00.1-7~18.04.1_all.deb
-rw-r--r-- 1 root root 7102064 oct 3 08:53 fonts-noto-color-emoji_0~20180810-0ubuntu1_all.deb
-rw-r--r-- 1 root root 91988 dic 2 15:08 fonts-opensymbol_2%3a102.10+LibO6.0.7-0ubuntu0.18.04.2_all.deb
-rw-r--r-- 1 root root 8912 oct 15 17:14 friendly-recovery_0.2.38ubuntu1_all.deb
-rw-r--r-- 1 root root 1610888 oct 23 20:03 fwupd_1.0.9-0ubuntu2_i386.deb
-rw-r--r-- 1 root root 1580 sep 17 16:33 g++_4%3a7.3.0-3ubuntu2.1_i386.deb
-rw-r--r-- 1 root root 7817416 sep 16 02:23 g++-7_7.3.0-27ubuntu1~18.04_i386.deb
-rw-r--r-- 1 root root 5248 sep 17 16:33 gcc_4%3a7.3.0-3ubuntu2.1_i386.deb
-rw-r--r-- 1 root root 7697700 sep 16 02:23 gcc-7_7.3.0-27ubuntu1~18.04_i386.deb
-rw-r--r-- 1 root root 18912 sep 16 02:23 gcc-7-base_7.3.0-27ubuntu1~18.04_i386.deb
-rw-r--r-- 1 root root 18332 sep 15 23:13 gcc-8-base_8.2.0-1ubuntu2~18.04_i386.deb
-rw-r--r-- 1 root root 280324 oct 15 13:03 gdm3_3.28.3-0ubuntu18.04.3_i386.deb
-rw-r--r-- 1 root root 436144 dic 18 19:03 gedit_3.28.1-1ubuntu1.1_i386.deb
-rw-r--r-- 1 root root 136648 dic 18 19:03 gedit-common_3.28.1-1ubuntu1.1_all.deb
-rw-r--r-- 1 root root 902352 nov 12 12:58 gettext_0.19.8.1-6ubuntu0.1_i386.deb
-rw-r--r-- 1 root root 51472 nov 12 12:58 gettext-base_0.19.8.1-6ubuntu0.1_i386.deb
-rw-r--r-- 1 root root 51888 dic 6 19:28 ghostscript_9.26~dfsg+0-0ubuntu0.18.04.3_i386.deb
-rw-r--r-- 1 root root 44908 dic 6 19:28 ghostscript-x_9.26~dfsg+0-0ubuntu0.18.04.3_i386.deb
-rw-r--r-- 1 root root 9528 oct 15 13:03 gir1.2-gdm-1.0_3.28.3-0ubuntu18.04.3_i386.deb
-rw-r--r-- 1 root root 5588 ene 14 14:48 gir1.2-gnomebluetooth-1.0_3.28.0-2ubuntu0.1_i386.deb
-rw-r--r-- 1 root root 8656 dic 18 06:23 gir1.2-gnomedesktop-3.0_3.28.2-0ubuntu1.2_i386.deb
-rw-r--r-- 1 root root 7308 dic 4 19:33 gir1.2-gweather-3.0_3.28.2-1~ubuntu18.04.1_i386.deb
-rw-r--r-- 1 root root 21296 ene 10 20:43 gir1.2-javascriptcoregtk-4.0_2.22.5-0ubuntu0.18.04.1_i386.deb
-rw-r--r-- 1 root root 138804 nov 6 22:13 gir1.2-mutter-2_3.28.3-2~ubuntu18.04.2_i386.deb

Continua en el siguiente mensaje.

> El 20 de enero de 2019 a las 13:36 Braiam Peguero <[hidden email]> escribió:
>
>
> Lamentablemente, esos no fueron los comandos que quise que ejecutaras,
> ni incluiste el resultado de los mismos. Cuando se realizan pruebas
> diagnosticas es importante seguir las instrucciones y copiar y pegar
> exactamente todo lo que resultan de ellas, ya que sin estos es
> imposible solucionar el problema. Error 127 solo dice que dpkg terminó
> de forma inesperada, lo cual no es útil para identificar la causa del
> problema. Favor ejecutar tal y como aparecen y enviar el resultado de
> los mismos.
>
> > sudo lsof /var/cache/apt/archives/lock
> > sudo lsof /var/lib/dpkg/lock
> > sudo apt-get update && sudo apt-get -f install
>
> > Si, todavía te sigue apareciendo el error, manda el resultado de `ls
> -l /var/cache/apt/archives /var/lib/dpkg`.
>
> On Sat, Jan 19, 2019 at 2:37 PM evangelsan evangelsan
> <[hidden email]> wrote:
> >
> > Con estas órdenes, Braiam,  parece que el sistema realiza un montón de acciones pero al final me sale esto:
> >
> > fugitiv1@ordenador-desktop:~$ /var/lib/dpkg/lock
> > bash: /var/lib/dpkg/lock: Permiso denegado
> > fugitiv1@ordenador-desktop:~$ sudo apt-get update
> > Obj:1 http://security.ubuntu.com/ubuntu bionic-security InRelease
> > Obj:2 http://es.archive.ubuntu.com/ubuntu bionic InRelease
> > Obj:3 http://es.archive.ubuntu.com/ubuntu bionic-updates InRelease
> > Leyendo lista de paquetes... Hecho
> >
> > Y luego sigo sin poder eliminar el dichoso xulrunner:
> > error 127
> >
> > Saludos
> >
> > > El 19 de enero de 2019 a las 16:59 Braiam Peguero <[hidden email]> escribió:
> > >
> > >
> > > > Cuando te aparezca este tipo error simplemente elimina ese archivo (y
> > > > cualquier otro similar que apareciera).
> > >
> > > No solo no es necesario removerlo, es **extremadamente peligroso
> > > hacerlo**. Cada vez que apt/dpkg trabajan, estos se aseguran de que
> > > otras instancias no traten de hacer cambios (ej. dos dpkg
> > > instalando/desinstalando cosas es una excelente manera de obtener
> > > problemas de dependencias). lsof nos dirá exactamente que proceso esta
> > > bloqueando el archivo, para así terminarlo de manera segura (imagina
> > > que aptd esta actualizando algo en background). Remover archivos cada
> > > vez que se te presente un problema es una forma segura de obtener
> > > peores problemas (de la misma manera que muchos dicen "usa sudo"
> > > cuando no tienen permisos para manipular un archivo.
> > >
> > >
> > >
> > >
> > >
> > > On Sat, Jan 19, 2019 at 10:43 AM <[hidden email]> wrote:
> > > >
> > > > El vie, 18-01-2019 a las 10:24 -0400, Braiam Peguero escribió:
> > > > > > E: No se pudo bloquear /var/cache/apt/archives/lock - open (11:
> > > > > > Recurso no disponible temporalmente)
> > > >
> > > > Cuando te aparezca este tipo error simplemente elimina ese archivo (y
> > > > cualquier otro similar que apareciera). Ese archivo 'lock' es un
> > > > especie de banderilla que se crea cuando un gestor de paquetes empieza
> > > > a trabajar sobre el sistema de paquetes con el fin de que si otro
> > > > gestor de paquetes intentara acceder al sistema de paquetes este
> > > > archivo lo bloqueara, evitando que dos gestores actúen sobre el sistema
> > > > simultáneamente pudiendo dañarlo.
> > > > Este archivo se elimina automáticamente al terminar el gestor de
> > > > paquetes  que lo invocó, sin embargo algunas veces NO se borra
> > > > automáticamente y bloquea todo el sistema de paquetes... Se puede
> > > > borrar con seguridad si no hay ningún administrador de paquetes
> > > > funcionando. Una vez que lo borres reintenta lo que quieres hacer..
> > > >
> > > > sudo rm /var/cache/apt/archives/lock
> > > > sudo apt-get update
> > > >
> > > > Saludos,
> > > > Mauricio J. Adonis C.
> > > >
> > >
> > >
> > > --
> > > Braiam
>
>
>
> --
> Braiam

--
ubuntu-es mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/ubuntu-es
Reply | Threaded
Open this post in threaded view
|

Re: Error xulrunner al actualizar a Ubuntu 18

evangelsan evangelsan
In reply to this post by braiam
Esto es lo que me da:

fugitiv1@ordenador-desktop:~$ apt-cache policy xulrunner-1.9.1
xulrunner-1.9.1:
  Instalados: 1.9.1.16+build2+nobinonly-0ubuntu0.9.10.1
  Candidato:  1.9.1.16+build2+nobinonly-0ubuntu0.9.10.1
  Tabla de versión:
 *** 1.9.1.16+build2+nobinonly-0ubuntu0.9.10.1 100
        100 /var/lib/dpkg/status
fugitiv1@ordenador-desktop:~$

Muchas gracias por tu dedicación.
Saludos

> El 21 de enero de 2019 a las 14:31 Braiam Peguero <[hidden email]> escribió:
>
>
> No encontré ningún problema con tu instalación otro que el paquete
> xulrunner. Esto es importante por lo que va a pasar ahora.
>
> El problema es que no puedes desinstalar el paquete xulrunner-1.9.1
> porque el script de eliminación busca update-alternatives donde no
> esta.
>
> > /var/lib/dpkg/info/xulrunner-1.9.1.prerm: 8: /var/lib/dpkg/info/xulrunner-1.9.1.prerm: /usr/sbin/update-alternatives: not found
>
> Ejecuta
>
>     apt-cache policy xulrunner-1.9.1
>
> Es probable que no haya sido instalado desde los repositorios de
> Ubuntu o tienes paquetes instalado desde 10.10 (karmic).
>
> On Sun, Jan 20, 2019 at 2:38 PM evangelsan evangelsan
> <[hidden email]> wrote:
> >
> > Las tres primeras órdenes dan esto:
> >
> > fugitiv1@ordenador-desktop:~$ sudo lsof /var/cache/apt/archives/lock
> > [sudo] contraseña para fugitiv1:
> > lsof: WARNING: can't stat() fuse.gvfsd-fuse file system /run/user/1001/gvfs
> >       Output information may be incomplete.
> > fugitiv1@ordenador-desktop:~$ sudo lsof /var/lib/dpkg/lock
> > lsof: WARNING: can't stat() fuse.gvfsd-fuse file system /run/user/1001/gvfs
> >       Output information may be incomplete.
> > fugitiv1@ordenador-desktop:~$ ^C
> > fugitiv1@ordenador-desktop:~$ sudo apt-get update && sudo apt-get -f install
> > Des:1 http://security.ubuntu.com/ubuntu bionic-security InRelease [83,2 kB]
> > Obj:2 http://es.archive.ubuntu.com/ubuntu bionic InRelease
> > Des:3 http://es.archive.ubuntu.com/ubuntu bionic-updates InRelease [88,7 kB]
> > Des:4 http://security.ubuntu.com/ubuntu bionic-security/main i386 DEP-11 Metadata [204 B]
> > Des:5 http://security.ubuntu.com/ubuntu bionic-security/universe i386 DEP-11 Metadata [14,9 kB]
> > Des:6 http://security.ubuntu.com/ubuntu bionic-security/universe DEP-11 48x48 Icons [9.088 B]
> > Des:7 http://security.ubuntu.com/ubuntu bionic-security/universe DEP-11 64x64 Icons [39,8 kB]
> > Des:8 http://es.archive.ubuntu.com/ubuntu bionic-updates/main i386 DEP-11 Metadata [266 kB]
> > Des:9 http://es.archive.ubuntu.com/ubuntu bionic-updates/main DEP-11 48x48 Icons [61,4 kB]
> > Des:10 http://es.archive.ubuntu.com/ubuntu bionic-updates/main DEP-11 64x64 Icons [116 kB]
> > Des:11 http://es.archive.ubuntu.com/ubuntu bionic-updates/universe i386 DEP-11 Metadata [200 kB]
> > Des:12 http://es.archive.ubuntu.com/ubuntu bionic-updates/universe DEP-11 48x48 Icons [178 kB]
> > Des:13 http://es.archive.ubuntu.com/ubuntu bionic-updates/universe DEP-11 64x64 Icons [323 kB]
> > Descargados 1.379 kB en 3s (442 kB/s)
> > Leyendo lista de paquetes... Hecho
> > Leyendo lista de paquetes... Hecho
> > Creando árbol de dependencias
> > Leyendo la información de estado... Hecho
> > Corrigiendo dependencias... Listo
> > Los siguientes paquetes se ELIMINARÁN:
> >   xulrunner-1.9.1
> > 0 actualizados, 0 nuevos se instalarán, 1 para eliminar y 454 no actualizados.
> > Se liberarán 21,9 MB después de esta operación.
> > ¿Desea continuar? [S/n] S
> > (Leyendo la base de datos ... 281664 ficheros o directorios instalados actualmente.)
> > Desinstalando xulrunner-1.9.1 (1.9.1.16+build2+nobinonly-0ubuntu0.9.10.1) ...
> > /var/lib/dpkg/info/xulrunner-1.9.1.prerm: 8: /var/lib/dpkg/info/xulrunner-1.9.1.prerm: /usr/sbin/update-alternatives: not found
> > dpkg: error al procesar el paquete xulrunner-1.9.1 (--remove):
> >  instalado xulrunner-1.9.1 paquete pre-removal guión el subproceso devolvió un error con estado de salida 127
> > Se encontraron errores al procesar:
> >  xulrunner-1.9.1
> > E: Sub-process /usr/bin/dpkg returned an error code (1)
> >
> >

--
ubuntu-es mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/ubuntu-es
Reply | Threaded
Open this post in threaded view
|

Re: Error xulrunner al actualizar a Ubuntu 18

braiam
Ok, no se de donde instalaste ese paquete, pero el repositorio de
donde lo instalaste no esta. Es mejor editar el script de
pre-eliminación para decirle donde esta updates-alternatives.

Abre el script /var/lib/dpkg/info/xulrunner-1.9.1.prerm con nano, en
la linea 8 debe aparecer "/usr/sbin/update-alternatives", edita "sbin"
para que lea "bin". No es necesario editar más nada. Debes ser capaz
de desinstalar el paquete ahora si no hay otros problemas.



On Tue, Jan 22, 2019 at 5:01 AM evangelsan evangelsan
<[hidden email]> wrote:

>
> Esto es lo que me da:
>
> fugitiv1@ordenador-desktop:~$ apt-cache policy xulrunner-1.9.1
> xulrunner-1.9.1:
>   Instalados: 1.9.1.16+build2+nobinonly-0ubuntu0.9.10.1
>   Candidato:  1.9.1.16+build2+nobinonly-0ubuntu0.9.10.1
>   Tabla de versión:
>  *** 1.9.1.16+build2+nobinonly-0ubuntu0.9.10.1 100
>         100 /var/lib/dpkg/status
> fugitiv1@ordenador-desktop:~$
>
> Muchas gracias por tu dedicación.
> Saludos
>
> > El 21 de enero de 2019 a las 14:31 Braiam Peguero <[hidden email]> escribió:
> >
> >
> > No encontré ningún problema con tu instalación otro que el paquete
> > xulrunner. Esto es importante por lo que va a pasar ahora.
> >
> > El problema es que no puedes desinstalar el paquete xulrunner-1.9.1
> > porque el script de eliminación busca update-alternatives donde no
> > esta.
> >
> > > /var/lib/dpkg/info/xulrunner-1.9.1.prerm: 8: /var/lib/dpkg/info/xulrunner-1.9.1.prerm: /usr/sbin/update-alternatives: not found
> >
> > Ejecuta
> >
> >     apt-cache policy xulrunner-1.9.1
> >
> > Es probable que no haya sido instalado desde los repositorios de
> > Ubuntu o tienes paquetes instalado desde 10.10 (karmic).
> >
> > On Sun, Jan 20, 2019 at 2:38 PM evangelsan evangelsan
> > <[hidden email]> wrote:
> > >
> > > Las tres primeras órdenes dan esto:
> > >
> > > fugitiv1@ordenador-desktop:~$ sudo lsof /var/cache/apt/archives/lock
> > > [sudo] contraseña para fugitiv1:
> > > lsof: WARNING: can't stat() fuse.gvfsd-fuse file system /run/user/1001/gvfs
> > >       Output information may be incomplete.
> > > fugitiv1@ordenador-desktop:~$ sudo lsof /var/lib/dpkg/lock
> > > lsof: WARNING: can't stat() fuse.gvfsd-fuse file system /run/user/1001/gvfs
> > >       Output information may be incomplete.
> > > fugitiv1@ordenador-desktop:~$ ^C
> > > fugitiv1@ordenador-desktop:~$ sudo apt-get update && sudo apt-get -f install
> > > Des:1 http://security.ubuntu.com/ubuntu bionic-security InRelease [83,2 kB]
> > > Obj:2 http://es.archive.ubuntu.com/ubuntu bionic InRelease
> > > Des:3 http://es.archive.ubuntu.com/ubuntu bionic-updates InRelease [88,7 kB]
> > > Des:4 http://security.ubuntu.com/ubuntu bionic-security/main i386 DEP-11 Metadata [204 B]
> > > Des:5 http://security.ubuntu.com/ubuntu bionic-security/universe i386 DEP-11 Metadata [14,9 kB]
> > > Des:6 http://security.ubuntu.com/ubuntu bionic-security/universe DEP-11 48x48 Icons [9.088 B]
> > > Des:7 http://security.ubuntu.com/ubuntu bionic-security/universe DEP-11 64x64 Icons [39,8 kB]
> > > Des:8 http://es.archive.ubuntu.com/ubuntu bionic-updates/main i386 DEP-11 Metadata [266 kB]
> > > Des:9 http://es.archive.ubuntu.com/ubuntu bionic-updates/main DEP-11 48x48 Icons [61,4 kB]
> > > Des:10 http://es.archive.ubuntu.com/ubuntu bionic-updates/main DEP-11 64x64 Icons [116 kB]
> > > Des:11 http://es.archive.ubuntu.com/ubuntu bionic-updates/universe i386 DEP-11 Metadata [200 kB]
> > > Des:12 http://es.archive.ubuntu.com/ubuntu bionic-updates/universe DEP-11 48x48 Icons [178 kB]
> > > Des:13 http://es.archive.ubuntu.com/ubuntu bionic-updates/universe DEP-11 64x64 Icons [323 kB]
> > > Descargados 1.379 kB en 3s (442 kB/s)
> > > Leyendo lista de paquetes... Hecho
> > > Leyendo lista de paquetes... Hecho
> > > Creando árbol de dependencias
> > > Leyendo la información de estado... Hecho
> > > Corrigiendo dependencias... Listo
> > > Los siguientes paquetes se ELIMINARÁN:
> > >   xulrunner-1.9.1
> > > 0 actualizados, 0 nuevos se instalarán, 1 para eliminar y 454 no actualizados.
> > > Se liberarán 21,9 MB después de esta operación.
> > > ¿Desea continuar? [S/n] S
> > > (Leyendo la base de datos ... 281664 ficheros o directorios instalados actualmente.)
> > > Desinstalando xulrunner-1.9.1 (1.9.1.16+build2+nobinonly-0ubuntu0.9.10.1) ...
> > > /var/lib/dpkg/info/xulrunner-1.9.1.prerm: 8: /var/lib/dpkg/info/xulrunner-1.9.1.prerm: /usr/sbin/update-alternatives: not found
> > > dpkg: error al procesar el paquete xulrunner-1.9.1 (--remove):
> > >  instalado xulrunner-1.9.1 paquete pre-removal guión el subproceso devolvió un error con estado de salida 127
> > > Se encontraron errores al procesar:
> > >  xulrunner-1.9.1
> > > E: Sub-process /usr/bin/dpkg returned an error code (1)
> > >
> > >



--
Braiam

--
ubuntu-es mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/ubuntu-es
Reply | Threaded
Open this post in threaded view
|

Re: Error xulrunner al actualizar a Ubuntu 18

Mauricio J. Adonis C.
In reply to this post by braiam
El sáb, 19-01-2019 a las 11:59 -0400, Braiam Peguero escribió:
> No solo no es necesario removerlo, es **extremadamente peligroso
> hacerlo**

no es ni peligroso ni nada, algunas veces cuando hubo errores o
problemas anteriores (no presentes) con la actualización, este archivo
de bloqueo queda presente y bloquea artificielmente la administración
de paquetes. Yo lo digo porque he solucionado en más de una oportunidad
problemas así. el archivo lock se puede borrar SIN NINGÚN PELIGRO, es
simplemente una banderilla para evitar el acceso concurrente a la base
de datos de paquetes, sin embargo si ningún gestor de paquetes está
accediendo a ella (ni apt, ni apt-get, ni aptitude, ni synaptic, etc.,
etc) la puedes borrar sin problemas.

Saludos,
Mauricio J. Adonis C.


--
ubuntu-es mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/ubuntu-es
Reply | Threaded
Open this post in threaded view
|

Re: Error xulrunner al actualizar a Ubuntu 18

Mauricio J. Adonis C.
In reply to this post by evangelsan evangelsan
El sáb, 19-01-2019 a las 19:37 +0100, evangelsan evangelsan escribió:

> Con estas órdenes, Braiam,  parece que el sistema realiza un montón
> de acciones pero al final me sale esto:
>
> fugitiv1@ordenador-desktop:~$ /var/lib/dpkg/lock
> bash: /var/lib/dpkg/lock: Permiso denegado
> fugitiv1@ordenador-desktop:~$ sudo apt-get update
> Obj:1 http://security.ubuntu.com/ubuntu bionic-security InRelease
> Obj:2 http://es.archive.ubuntu.com/ubuntu bionic InRelease
> Obj:3 http://es.archive.ubuntu.com/ubuntu bionic-updates InRelease
> Leyendo lista de paquetes... Hecho
>
> Y luego sigo sin poder eliminar el dichoso xulrunner:
> error 127
>
> Saludos

Amigo, tienes que borrar ese pequeño archivo /var/lib/dpkg/lock ,
porque está bloqueando toda acción sobre la base de datos de paquetes.
Simplemente haz...

sudo rm /var/lib/dpkg/lock

Luego ejecuta el update...

Saludos,
Mauricio J. Adonis C.


--
ubuntu-es mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/ubuntu-es
Reply | Threaded
Open this post in threaded view
|

Re: Error xulrunner al actualizar a Ubuntu 18

braiam
> (Leyendo la base de datos ... 281664 ficheros o directorios instalados actualmente.)
> Desinstalando xulrunner-1.9.1 (1.9.1.16+build2+nobinonly-0ubuntu0.9.10.1) ...
> /var/lib/dpkg/info/xulrunner-1.9.1.prerm: 8: /var/lib/dpkg/info/xulrunner-1.9.1.prerm: /usr/sbin/update-alternatives: not found
> dpkg: error al procesar el paquete xulrunner-1.9.1 (--remove):


Si el archivo hubiese estado bloqueado, dpkg ni siquiera correría aquí
^^^^^^^^. Fallaría en hacer la operación inmediatamente.
Probablemente, evan tenía alguna otra instalación en el momento (ie.
Actualizaciones automaticas). Ese problema fue transitorio. El
problema persistente, y por el cual evan primero nos contactó, es el
paquete de xulrunner que tiene una versión que no existe después de
14.04, mientras que el esta usando 18.04! Como evan instaló este
paquete? No tenemos ni idea, pero me tenía que asegurar de que
eliminarlo no cause problemas, ni dejar problemas pendientes. Por eso
solicite dpkg -C, apt-get install -f, etc. mientras que debía
contra-recomendar remover los archivos lock ya que esto no resolvería
el problema, mientras que puede causar más, porque sin este archivo
evan podría tener 2 dpkg corriendo y empeorar la situación de que
necesite un live cd para poder recuperar su sistema.

Una vez modificado el pre-removal script, evan podrá desinstalar el
paquete y en esto debemos concentrarnos.

On Tue, Jan 22, 2019 at 8:41 PM <[hidden email]> wrote:

>
> El sáb, 19-01-2019 a las 19:37 +0100, evangelsan evangelsan escribió:
> > Con estas órdenes, Braiam,  parece que el sistema realiza un montón
> > de acciones pero al final me sale esto:
> >
> > fugitiv1@ordenador-desktop:~$ /var/lib/dpkg/lock
> > bash: /var/lib/dpkg/lock: Permiso denegado
> > fugitiv1@ordenador-desktop:~$ sudo apt-get update
> > Obj:1 http://security.ubuntu.com/ubuntu bionic-security InRelease
> > Obj:2 http://es.archive.ubuntu.com/ubuntu bionic InRelease
> > Obj:3 http://es.archive.ubuntu.com/ubuntu bionic-updates InRelease
> > Leyendo lista de paquetes... Hecho
> >
> > Y luego sigo sin poder eliminar el dichoso xulrunner:
> > error 127
> >
> > Saludos
>
> Amigo, tienes que borrar ese pequeño archivo /var/lib/dpkg/lock ,
> porque está bloqueando toda acción sobre la base de datos de paquetes.
> Simplemente haz...
>
> sudo rm /var/lib/dpkg/lock
>
> Luego ejecuta el update...
>
> Saludos,
> Mauricio J. Adonis C.
>


--
Braiam

--
ubuntu-es mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/ubuntu-es
Reply | Threaded
Open this post in threaded view
|

Re: Error xulrunner al actualizar a Ubuntu 18

evangelsan evangelsan
Parece que no me permite hacer nada:

fugitiv1@ordenador-desktop:~$ script /var/lib/dpkg/info/xulrunner-1.9.1.prerm
Script iniciado; el fichero es /var/lib/dpkg/info/xulrunner-1.9.1.prerm
script: no se puede abrir /var/lib/dpkg/info/xulrunner-1.9.1.prerm: Permiso denegado
fugitiv1@ordenador-desktop:~$

Saludos

> El 23 de enero de 2019 a las 2:49 Braiam Peguero <[hidden email]> escribió:
>
>
> > (Leyendo la base de datos ... 281664 ficheros o directorios instalados actualmente.)
> > Desinstalando xulrunner-1.9.1 (1.9.1.16+build2+nobinonly-0ubuntu0.9.10.1) ...
> > /var/lib/dpkg/info/xulrunner-1.9.1.prerm: 8: /var/lib/dpkg/info/xulrunner-1.9.1.prerm: /usr/sbin/update-alternatives: not found
> > dpkg: error al procesar el paquete xulrunner-1.9.1 (--remove):
>
>
> Si el archivo hubiese estado bloqueado, dpkg ni siquiera correría aquí
> ^^^^^^^^. Fallaría en hacer la operación inmediatamente.
> Probablemente, evan tenía alguna otra instalación en el momento (ie.
> Actualizaciones automaticas). Ese problema fue transitorio. El
> problema persistente, y por el cual evan primero nos contactó, es el
> paquete de xulrunner que tiene una versión que no existe después de
> 14.04, mientras que el esta usando 18.04! Como evan instaló este
> paquete? No tenemos ni idea, pero me tenía que asegurar de que
> eliminarlo no cause problemas, ni dejar problemas pendientes. Por eso
> solicite dpkg -C, apt-get install -f, etc. mientras que debía
> contra-recomendar remover los archivos lock ya que esto no resolvería
> el problema, mientras que puede causar más, porque sin este archivo
> evan podría tener 2 dpkg corriendo y empeorar la situación de que
> necesite un live cd para poder recuperar su sistema.
>
> Una vez modificado el pre-removal script, evan podrá desinstalar el
> paquete y en esto debemos concentrarnos.
>
> On Tue, Jan 22, 2019 at 8:41 PM <[hidden email]> wrote:
> >
> > El sáb, 19-01-2019 a las 19:37 +0100, evangelsan evangelsan escribió:
> > > Con estas órdenes, Braiam,  parece que el sistema realiza un montón
> > > de acciones pero al final me sale esto:
> > >
> > > fugitiv1@ordenador-desktop:~$ /var/lib/dpkg/lock
> > > bash: /var/lib/dpkg/lock: Permiso denegado
> > > fugitiv1@ordenador-desktop:~$ sudo apt-get update
> > > Obj:1 http://security.ubuntu.com/ubuntu bionic-security InRelease
> > > Obj:2 http://es.archive.ubuntu.com/ubuntu bionic InRelease
> > > Obj:3 http://es.archive.ubuntu.com/ubuntu bionic-updates InRelease
> > > Leyendo lista de paquetes... Hecho
> > >
> > > Y luego sigo sin poder eliminar el dichoso xulrunner:
> > > error 127
> > >
> > > Saludos
> >
> > Amigo, tienes que borrar ese pequeño archivo /var/lib/dpkg/lock ,
> > porque está bloqueando toda acción sobre la base de datos de paquetes.
> > Simplemente haz...
> >
> > sudo rm /var/lib/dpkg/lock
> >
> > Luego ejecuta el update...
> >
> > Saludos,
> > Mauricio J. Adonis C.
> >
>
>
> --
> Braiam
>
> --
> ubuntu-es mailing list
> [hidden email]
> https://lists.ubuntu.com/mailman/listinfo/ubuntu-es

--
ubuntu-es mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/ubuntu-es
Reply | Threaded
Open this post in threaded view
|

Re: Error xulrunner al actualizar a Ubuntu 18

braiam
Tienes que editar el archivo, no correrlo. nano debería estar
instalado, usa nano. "script" no es un editor de texto.

On Wed, Jan 23, 2019 at 5:21 AM evangelsan evangelsan
<[hidden email]> wrote:

>
> Parece que no me permite hacer nada:
>
> fugitiv1@ordenador-desktop:~$ script /var/lib/dpkg/info/xulrunner-1.9.1.prerm
> Script iniciado; el fichero es /var/lib/dpkg/info/xulrunner-1.9.1.prerm
> script: no se puede abrir /var/lib/dpkg/info/xulrunner-1.9.1.prerm: Permiso denegado
> fugitiv1@ordenador-desktop:~$
>
> Saludos
>
> > El 23 de enero de 2019 a las 2:49 Braiam Peguero <[hidden email]> escribió:
> >
> >
> > > (Leyendo la base de datos ... 281664 ficheros o directorios instalados actualmente.)
> > > Desinstalando xulrunner-1.9.1 (1.9.1.16+build2+nobinonly-0ubuntu0.9.10.1) ...
> > > /var/lib/dpkg/info/xulrunner-1.9.1.prerm: 8: /var/lib/dpkg/info/xulrunner-1.9.1.prerm: /usr/sbin/update-alternatives: not found
> > > dpkg: error al procesar el paquete xulrunner-1.9.1 (--remove):
> >
> >
> > Si el archivo hubiese estado bloqueado, dpkg ni siquiera correría aquí
> > ^^^^^^^^. Fallaría en hacer la operación inmediatamente.
> > Probablemente, evan tenía alguna otra instalación en el momento (ie.
> > Actualizaciones automaticas). Ese problema fue transitorio. El
> > problema persistente, y por el cual evan primero nos contactó, es el
> > paquete de xulrunner que tiene una versión que no existe después de
> > 14.04, mientras que el esta usando 18.04! Como evan instaló este
> > paquete? No tenemos ni idea, pero me tenía que asegurar de que
> > eliminarlo no cause problemas, ni dejar problemas pendientes. Por eso
> > solicite dpkg -C, apt-get install -f, etc. mientras que debía
> > contra-recomendar remover los archivos lock ya que esto no resolvería
> > el problema, mientras que puede causar más, porque sin este archivo
> > evan podría tener 2 dpkg corriendo y empeorar la situación de que
> > necesite un live cd para poder recuperar su sistema.
> >
> > Una vez modificado el pre-removal script, evan podrá desinstalar el
> > paquete y en esto debemos concentrarnos.
> >
> > On Tue, Jan 22, 2019 at 8:41 PM <[hidden email]> wrote:
> > >
> > > El sáb, 19-01-2019 a las 19:37 +0100, evangelsan evangelsan escribió:
> > > > Con estas órdenes, Braiam,  parece que el sistema realiza un montón
> > > > de acciones pero al final me sale esto:
> > > >
> > > > fugitiv1@ordenador-desktop:~$ /var/lib/dpkg/lock
> > > > bash: /var/lib/dpkg/lock: Permiso denegado
> > > > fugitiv1@ordenador-desktop:~$ sudo apt-get update
> > > > Obj:1 http://security.ubuntu.com/ubuntu bionic-security InRelease
> > > > Obj:2 http://es.archive.ubuntu.com/ubuntu bionic InRelease
> > > > Obj:3 http://es.archive.ubuntu.com/ubuntu bionic-updates InRelease
> > > > Leyendo lista de paquetes... Hecho
> > > >
> > > > Y luego sigo sin poder eliminar el dichoso xulrunner:
> > > > error 127
> > > >
> > > > Saludos
> > >
> > > Amigo, tienes que borrar ese pequeño archivo /var/lib/dpkg/lock ,
> > > porque está bloqueando toda acción sobre la base de datos de paquetes.
> > > Simplemente haz...
> > >
> > > sudo rm /var/lib/dpkg/lock
> > >
> > > Luego ejecuta el update...
> > >
> > > Saludos,
> > > Mauricio J. Adonis C.
> > >
> >
> >
> > --
> > Braiam
> >
> > --
> > ubuntu-es mailing list
> > [hidden email]
> > https://lists.ubuntu.com/mailman/listinfo/ubuntu-es



--
Braiam

--
ubuntu-es mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/ubuntu-es
Reply | Threaded
Open this post in threaded view
|

Re: Error xulrunner al actualizar a Ubuntu 18

evangelsan evangelsan
Esto es lo que queda una vez quitada la s de bin:

#!/bin/sh

set -e

XUL_VERSION=1.9.1

if [ "$1" = "remove" ] || [ "$1" = upgrade ]; then
        /usr/bin/update-alternatives --remove xulrunner /usr/bin/xulrunner-$XUL$
fi


Nombre del archivo a escribir: /var/lib/dpkg/info/xulrunner-1.9.1.prerm  

#!/bin/sh

set -e

XUL_VERSION=1.9.1

if [ "$1" = "remove" ] || [ "$1" = upgrade ]; then
        /usr/bin/update-alternatives --remove xulrunner
/usr/bin/xulrunner-$XUL_VERSION fi

Nombre del archivo a escribir: /var/lib/dpkg/info/xulrunner-1.9.1.prerm  

Y entro en un bucle del que que no se salir.
No consigo guardar los cambios y al salir de la terminal estos se pierden.
Saludos


> El 23 de enero de 2019 a las 11:32 Braiam Peguero <[hidden email]> escribió:
>
>
> Tienes que editar el archivo, no correrlo. nano debería estar
> instalado, usa nano. "script" no es un editor de texto.
>
> On Wed, Jan 23, 2019 at 5:21 AM evangelsan evangelsan
> <[hidden email]> wrote:
> >
> > Parece que no me permite hacer nada:
> >
> > fugitiv1@ordenador-desktop:~$ script /var/lib/dpkg/info/xulrunner-1.9.1.prerm
> > Script iniciado; el fichero es /var/lib/dpkg/info/xulrunner-1.9.1.prerm
> > script: no se puede abrir /var/lib/dpkg/info/xulrunner-1.9.1.prerm: Permiso denegado
> > fugitiv1@ordenador-desktop:~$
> >
> > Saludos
> >
> > > El 23 de enero de 2019 a las 2:49 Braiam Peguero <[hidden email]> escribió:
> > >
> > >
> > > > (Leyendo la base de datos ... 281664 ficheros o directorios instalados actualmente.)
> > > > Desinstalando xulrunner-1.9.1 (1.9.1.16+build2+nobinonly-0ubuntu0.9.10.1) ...
> > > > /var/lib/dpkg/info/xulrunner-1.9.1.prerm: 8: /var/lib/dpkg/info/xulrunner-1.9.1.prerm: /usr/sbin/update-alternatives: not found
> > > > dpkg: error al procesar el paquete xulrunner-1.9.1 (--remove):
> > >
> > >
> > > Si el archivo hubiese estado bloqueado, dpkg ni siquiera correría aquí
> > > ^^^^^^^^. Fallaría en hacer la operación inmediatamente.
> > > Probablemente, evan tenía alguna otra instalación en el momento (ie.
> > > Actualizaciones automaticas). Ese problema fue transitorio. El
> > > problema persistente, y por el cual evan primero nos contactó, es el
> > > paquete de xulrunner que tiene una versión que no existe después de
> > > 14.04, mientras que el esta usando 18.04! Como evan instaló este
> > > paquete? No tenemos ni idea, pero me tenía que asegurar de que
> > > eliminarlo no cause problemas, ni dejar problemas pendientes. Por eso
> > > solicite dpkg -C, apt-get install -f, etc. mientras que debía
> > > contra-recomendar remover los archivos lock ya que esto no resolvería
> > > el problema, mientras que puede causar más, porque sin este archivo
> > > evan podría tener 2 dpkg corriendo y empeorar la situación de que
> > > necesite un live cd para poder recuperar su sistema.
> > >
> > > Una vez modificado el pre-removal script, evan podrá desinstalar el
> > > paquete y en esto debemos concentrarnos.
> > >
> > > On Tue, Jan 22, 2019 at 8:41 PM <[hidden email]> wrote:
> > > >
> > > > El sáb, 19-01-2019 a las 19:37 +0100, evangelsan evangelsan escribió:
> > > > > Con estas órdenes, Braiam,  parece que el sistema realiza un montón
> > > > > de acciones pero al final me sale esto:
> > > > >
> > > > > fugitiv1@ordenador-desktop:~$ /var/lib/dpkg/lock
> > > > > bash: /var/lib/dpkg/lock: Permiso denegado
> > > > > fugitiv1@ordenador-desktop:~$ sudo apt-get update
> > > > > Obj:1 http://security.ubuntu.com/ubuntu bionic-security InRelease
> > > > > Obj:2 http://es.archive.ubuntu.com/ubuntu bionic InRelease
> > > > > Obj:3 http://es.archive.ubuntu.com/ubuntu bionic-updates InRelease
> > > > > Leyendo lista de paquetes... Hecho
> > > > >
> > > > > Y luego sigo sin poder eliminar el dichoso xulrunner:
> > > > > error 127
> > > > >
> > > > > Saludos
> > > >
> > > > Amigo, tienes que borrar ese pequeño archivo /var/lib/dpkg/lock ,
> > > > porque está bloqueando toda acción sobre la base de datos de paquetes.
> > > > Simplemente haz...
> > > >
> > > > sudo rm /var/lib/dpkg/lock
> > > >
> > > > Luego ejecuta el update...
> > > >
> > > > Saludos,
> > > > Mauricio J. Adonis C.
> > > >
> > >
> > >
> > > --
> > > Braiam
> > >
> > > --
> > > ubuntu-es mailing list
> > > [hidden email]
> > > https://lists.ubuntu.com/mailman/listinfo/ubuntu-es
>
>
>
> --
> Braiam

--
ubuntu-es mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/ubuntu-es
Reply | Threaded
Open this post in threaded view
|

Re: Error xulrunner al actualizar a Ubuntu 18

braiam
nano utiliza Ctrl+X para salir. Modifica el archivo, sal del programa,
confirma que quieres guardar los cambios (presionando Y) y desinstala
el paquete.

On Thu, Jan 24, 2019 at 5:32 AM evangelsan evangelsan
<[hidden email]> wrote:

>
> Esto es lo que queda una vez quitada la s de bin:
>
> #!/bin/sh
>
> set -e
>
> XUL_VERSION=1.9.1
>
> if [ "$1" = "remove" ] || [ "$1" = upgrade ]; then
>         /usr/bin/update-alternatives --remove xulrunner /usr/bin/xulrunner-$XUL$
> fi
>
>
> Nombre del archivo a escribir: /var/lib/dpkg/info/xulrunner-1.9.1.prerm
>
> #!/bin/sh
>
> set -e
>
> XUL_VERSION=1.9.1
>
> if [ "$1" = "remove" ] || [ "$1" = upgrade ]; then
>         /usr/bin/update-alternatives --remove xulrunner
> /usr/bin/xulrunner-$XUL_VERSION fi
>
> Nombre del archivo a escribir: /var/lib/dpkg/info/xulrunner-1.9.1.prerm
>
> Y entro en un bucle del que que no se salir.
> No consigo guardar los cambios y al salir de la terminal estos se pierden.
> Saludos
>
>
> > El 23 de enero de 2019 a las 11:32 Braiam Peguero <[hidden email]> escribió:
> >
> >
> > Tienes que editar el archivo, no correrlo. nano debería estar
> > instalado, usa nano. "script" no es un editor de texto.
> >
> > On Wed, Jan 23, 2019 at 5:21 AM evangelsan evangelsan
> > <[hidden email]> wrote:
> > >
> > > Parece que no me permite hacer nada:
> > >
> > > fugitiv1@ordenador-desktop:~$ script /var/lib/dpkg/info/xulrunner-1.9.1.prerm
> > > Script iniciado; el fichero es /var/lib/dpkg/info/xulrunner-1.9.1.prerm
> > > script: no se puede abrir /var/lib/dpkg/info/xulrunner-1.9.1.prerm: Permiso denegado
> > > fugitiv1@ordenador-desktop:~$
> > >
> > > Saludos
> > >
> > > > El 23 de enero de 2019 a las 2:49 Braiam Peguero <[hidden email]> escribió:
> > > >
> > > >
> > > > > (Leyendo la base de datos ... 281664 ficheros o directorios instalados actualmente.)
> > > > > Desinstalando xulrunner-1.9.1 (1.9.1.16+build2+nobinonly-0ubuntu0.9.10.1) ...
> > > > > /var/lib/dpkg/info/xulrunner-1.9.1.prerm: 8: /var/lib/dpkg/info/xulrunner-1.9.1.prerm: /usr/sbin/update-alternatives: not found
> > > > > dpkg: error al procesar el paquete xulrunner-1.9.1 (--remove):
> > > >
> > > >
> > > > Si el archivo hubiese estado bloqueado, dpkg ni siquiera correría aquí
> > > > ^^^^^^^^. Fallaría en hacer la operación inmediatamente.
> > > > Probablemente, evan tenía alguna otra instalación en el momento (ie.
> > > > Actualizaciones automaticas). Ese problema fue transitorio. El
> > > > problema persistente, y por el cual evan primero nos contactó, es el
> > > > paquete de xulrunner que tiene una versión que no existe después de
> > > > 14.04, mientras que el esta usando 18.04! Como evan instaló este
> > > > paquete? No tenemos ni idea, pero me tenía que asegurar de que
> > > > eliminarlo no cause problemas, ni dejar problemas pendientes. Por eso
> > > > solicite dpkg -C, apt-get install -f, etc. mientras que debía
> > > > contra-recomendar remover los archivos lock ya que esto no resolvería
> > > > el problema, mientras que puede causar más, porque sin este archivo
> > > > evan podría tener 2 dpkg corriendo y empeorar la situación de que
> > > > necesite un live cd para poder recuperar su sistema.
> > > >
> > > > Una vez modificado el pre-removal script, evan podrá desinstalar el
> > > > paquete y en esto debemos concentrarnos.
> > > >
> > > > On Tue, Jan 22, 2019 at 8:41 PM <[hidden email]> wrote:
> > > > >
> > > > > El sáb, 19-01-2019 a las 19:37 +0100, evangelsan evangelsan escribió:
> > > > > > Con estas órdenes, Braiam,  parece que el sistema realiza un montón
> > > > > > de acciones pero al final me sale esto:
> > > > > >
> > > > > > fugitiv1@ordenador-desktop:~$ /var/lib/dpkg/lock
> > > > > > bash: /var/lib/dpkg/lock: Permiso denegado
> > > > > > fugitiv1@ordenador-desktop:~$ sudo apt-get update
> > > > > > Obj:1 http://security.ubuntu.com/ubuntu bionic-security InRelease
> > > > > > Obj:2 http://es.archive.ubuntu.com/ubuntu bionic InRelease
> > > > > > Obj:3 http://es.archive.ubuntu.com/ubuntu bionic-updates InRelease
> > > > > > Leyendo lista de paquetes... Hecho
> > > > > >
> > > > > > Y luego sigo sin poder eliminar el dichoso xulrunner:
> > > > > > error 127
> > > > > >
> > > > > > Saludos
> > > > >
> > > > > Amigo, tienes que borrar ese pequeño archivo /var/lib/dpkg/lock ,
> > > > > porque está bloqueando toda acción sobre la base de datos de paquetes.
> > > > > Simplemente haz...
> > > > >
> > > > > sudo rm /var/lib/dpkg/lock
> > > > >
> > > > > Luego ejecuta el update...
> > > > >
> > > > > Saludos,
> > > > > Mauricio J. Adonis C.
> > > > >
> > > >
> > > >
> > > > --
> > > > Braiam
> > > >
> > > > --
> > > > ubuntu-es mailing list
> > > > [hidden email]
> > > > https://lists.ubuntu.com/mailman/listinfo/ubuntu-es
> >
> >
> >
> > --
> > Braiam



--
Braiam

--
ubuntu-es mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/ubuntu-es
Reply | Threaded
Open this post in threaded view
|

Fwd: Re: Error xulrunner al actualizar a Ubuntu 18

evangelsan evangelsan

> ---------- Mensaje original ----------
> De: evangelsan evangelsan <[hidden email]>
> Para: Braiam Peguero <[hidden email]>
> Fecha: 29 de enero de 2019 a las 9:52
> Asunto: Re: Error xulrunner al actualizar a Ubuntu 18
>
> Una vez modificado presiono Ctrl+X y luego Y y sigo igual.
> Sale esto:
>
> Nombre del archivo a escribir: /var/lib/dpkg/info/xulrunner-1.9.1.prerm
>
> Y no puedo salir del programa
>
> > El 28 de enero de 2019 a las 16:03 Braiam Peguero <[hidden email]> escribió:
> >
> >
> > nano utiliza Ctrl+X para salir. Modifica el archivo, sal del programa,
> > confirma que quieres guardar los cambios (presionando Y) y desinstala
> > el paquete.
> >
> > On Thu, Jan 24, 2019 at 5:32 AM evangelsan evangelsan
> > <[hidden email]> wrote:
> > >
> > > Esto es lo que queda una vez quitada la s de bin:
> > >
> > > #!/bin/sh
> > >
> > > set -e
> > >
> > > XUL_VERSION=1.9.1
> > >
> > > if [ "$1" = "remove" ] || [ "$1" = upgrade ]; then
> > >         /usr/bin/update-alternatives --remove xulrunner /usr/bin/xulrunner-$XUL$
> > > fi
> > >
> > >
> > > Nombre del archivo a escribir: /var/lib/dpkg/info/xulrunner-1.9.1.prerm
> > >
> > > #!/bin/sh
> > >
> > > set -e
> > >
> > > XUL_VERSION=1.9.1
> > >
> > > if [ "$1" = "remove" ] || [ "$1" = upgrade ]; then
> > >         /usr/bin/update-alternatives --remove xulrunner
> > > /usr/bin/xulrunner-$XUL_VERSION fi
> > >
> > > Nombre del archivo a escribir: /var/lib/dpkg/info/xulrunner-1.9.1.prerm
> > >
> > > Y entro en un bucle del que que no se salir.
> > > No consigo guardar los cambios y al salir de la terminal estos se pierden.
> > > Saludos
> > >
> > >
> > > > El 23 de enero de 2019 a las 11:32 Braiam Peguero <[hidden email]> escribió:
> > > >
> > > >
> > > > Tienes que editar el archivo, no correrlo. nano debería estar
> > > > instalado, usa nano. "script" no es un editor de texto.
> > > >
> > > > On Wed, Jan 23, 2019 at 5:21 AM evangelsan evangelsan
> > > > <[hidden email]> wrote:
> > > > >
> > > > > Parece que no me permite hacer nada:
> > > > >
> > > > > fugitiv1@ordenador-desktop:~$ script /var/lib/dpkg/info/xulrunner-1.9.1.prerm
> > > > > Script iniciado; el fichero es /var/lib/dpkg/info/xulrunner-1.9.1.prerm
> > > > > script: no se puede abrir /var/lib/dpkg/info/xulrunner-1.9.1.prerm: Permiso denegado
> > > > > fugitiv1@ordenador-desktop:~$
> > > > >
> > > > > Saludos
> > > > >
> > > > > > El 23 de enero de 2019 a las 2:49 Braiam Peguero <[hidden email]> escribió:
> > > > > >
> > > > > >
> > > > > > > (Leyendo la base de datos ... 281664 ficheros o directorios instalados actualmente.)
> > > > > > > Desinstalando xulrunner-1.9.1 (1.9.1.16+build2+nobinonly-0ubuntu0.9.10.1) ...
> > > > > > > /var/lib/dpkg/info/xulrunner-1.9.1.prerm: 8: /var/lib/dpkg/info/xulrunner-1.9.1.prerm: /usr/sbin/update-alternatives: not found
> > > > > > > dpkg: error al procesar el paquete xulrunner-1.9.1 (--remove):
> > > > > >
> > > > > >
> > > > > > Si el archivo hubiese estado bloqueado, dpkg ni siquiera correría aquí
> > > > > > ^^^^^^^^. Fallaría en hacer la operación inmediatamente.
> > > > > > Probablemente, evan tenía alguna otra instalación en el momento (ie.
> > > > > > Actualizaciones automaticas). Ese problema fue transitorio. El
> > > > > > problema persistente, y por el cual evan primero nos contactó, es el
> > > > > > paquete de xulrunner que tiene una versión que no existe después de
> > > > > > 14.04, mientras que el esta usando 18.04! Como evan instaló este
> > > > > > paquete? No tenemos ni idea, pero me tenía que asegurar de que
> > > > > > eliminarlo no cause problemas, ni dejar problemas pendientes. Por eso
> > > > > > solicite dpkg -C, apt-get install -f, etc. mientras que debía
> > > > > > contra-recomendar remover los archivos lock ya que esto no resolvería
> > > > > > el problema, mientras que puede causar más, porque sin este archivo
> > > > > > evan podría tener 2 dpkg corriendo y empeorar la situación de que
> > > > > > necesite un live cd para poder recuperar su sistema.
> > > > > >
> > > > > > Una vez modificado el pre-removal script, evan podrá desinstalar el
> > > > > > paquete y en esto debemos concentrarnos.
> > > > > >
> > > > > > On Tue, Jan 22, 2019 at 8:41 PM <[hidden email]> wrote:
> > > > > > >
> > > > > > > El sáb, 19-01-2019 a las 19:37 +0100, evangelsan evangelsan escribió:
> > > > > > > > Con estas órdenes, Braiam,  parece que el sistema realiza un montón
> > > > > > > > de acciones pero al final me sale esto:
> > > > > > > >
> > > > > > > > fugitiv1@ordenador-desktop:~$ /var/lib/dpkg/lock
> > > > > > > > bash: /var/lib/dpkg/lock: Permiso denegado
> > > > > > > > fugitiv1@ordenador-desktop:~$ sudo apt-get update
> > > > > > > > Obj:1 http://security.ubuntu.com/ubuntu bionic-security InRelease
> > > > > > > > Obj:2 http://es.archive.ubuntu.com/ubuntu bionic InRelease
> > > > > > > > Obj:3 http://es.archive.ubuntu.com/ubuntu bionic-updates InRelease
> > > > > > > > Leyendo lista de paquetes... Hecho
> > > > > > > >
> > > > > > > > Y luego sigo sin poder eliminar el dichoso xulrunner:
> > > > > > > > error 127
> > > > > > > >
> > > > > > > > Saludos
> > > > > > >
> > > > > > > Amigo, tienes que borrar ese pequeño archivo /var/lib/dpkg/lock ,
> > > > > > > porque está bloqueando toda acción sobre la base de datos de paquetes.
> > > > > > > Simplemente haz...
> > > > > > >
> > > > > > > sudo rm /var/lib/dpkg/lock
> > > > > > >
> > > > > > > Luego ejecuta el update...
> > > > > > >
> > > > > > > Saludos,
> > > > > > > Mauricio J. Adonis C.
> > > > > > >
> > > > > >
> > > > > >
> > > > > > --
> > > > > > Braiam
> > > > > >
> > > > > > --
> > > > > > ubuntu-es mailing list
> > > > > > [hidden email]
> > > > > > https://lists.ubuntu.com/mailman/listinfo/ubuntu-es
> > > >
> > > >
> > > >
> > > > --
> > > > Braiam
> >
> >
> >
> > --
> > Braiam

--
ubuntu-es mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/ubuntu-es
Reply | Threaded
Open this post in threaded view
|

Re: Re: Error xulrunner al actualizar a Ubuntu 18

braiam
Solo tienes que darle a enter para confirmar.

On Tue, Jan 29, 2019 at 4:56 AM evangelsan evangelsan
<[hidden email]> wrote:

>
>
> > ---------- Mensaje original ----------
> > De: evangelsan evangelsan <[hidden email]>
> > Para: Braiam Peguero <[hidden email]>
> > Fecha: 29 de enero de 2019 a las 9:52
> > Asunto: Re: Error xulrunner al actualizar a Ubuntu 18
> >
> > Una vez modificado presiono Ctrl+X y luego Y y sigo igual.
> > Sale esto:
> >
> > Nombre del archivo a escribir: /var/lib/dpkg/info/xulrunner-1.9.1.prerm
> >
> > Y no puedo salir del programa
> >
> > > El 28 de enero de 2019 a las 16:03 Braiam Peguero <[hidden email]> escribió:
> > >
> > >
> > > nano utiliza Ctrl+X para salir. Modifica el archivo, sal del programa,
> > > confirma que quieres guardar los cambios (presionando Y) y desinstala
> > > el paquete.
> > >
> > > On Thu, Jan 24, 2019 at 5:32 AM evangelsan evangelsan
> > > <[hidden email]> wrote:
> > > >
> > > > Esto es lo que queda una vez quitada la s de bin:
> > > >
> > > > #!/bin/sh
> > > >
> > > > set -e
> > > >
> > > > XUL_VERSION=1.9.1
> > > >
> > > > if [ "$1" = "remove" ] || [ "$1" = upgrade ]; then
> > > >         /usr/bin/update-alternatives --remove xulrunner /usr/bin/xulrunner-$XUL$
> > > > fi
> > > >
> > > >
> > > > Nombre del archivo a escribir: /var/lib/dpkg/info/xulrunner-1.9.1.prerm
> > > >
> > > > #!/bin/sh
> > > >
> > > > set -e
> > > >
> > > > XUL_VERSION=1.9.1
> > > >
> > > > if [ "$1" = "remove" ] || [ "$1" = upgrade ]; then
> > > >         /usr/bin/update-alternatives --remove xulrunner
> > > > /usr/bin/xulrunner-$XUL_VERSION fi
> > > >
> > > > Nombre del archivo a escribir: /var/lib/dpkg/info/xulrunner-1.9.1.prerm
> > > >
> > > > Y entro en un bucle del que que no se salir.
> > > > No consigo guardar los cambios y al salir de la terminal estos se pierden.
> > > > Saludos
> > > >
> > > >
> > > > > El 23 de enero de 2019 a las 11:32 Braiam Peguero <[hidden email]> escribió:
> > > > >
> > > > >
> > > > > Tienes que editar el archivo, no correrlo. nano debería estar
> > > > > instalado, usa nano. "script" no es un editor de texto.
> > > > >
> > > > > On Wed, Jan 23, 2019 at 5:21 AM evangelsan evangelsan
> > > > > <[hidden email]> wrote:
> > > > > >
> > > > > > Parece que no me permite hacer nada:
> > > > > >
> > > > > > fugitiv1@ordenador-desktop:~$ script /var/lib/dpkg/info/xulrunner-1.9.1.prerm
> > > > > > Script iniciado; el fichero es /var/lib/dpkg/info/xulrunner-1.9.1.prerm
> > > > > > script: no se puede abrir /var/lib/dpkg/info/xulrunner-1.9.1.prerm: Permiso denegado
> > > > > > fugitiv1@ordenador-desktop:~$
> > > > > >
> > > > > > Saludos
> > > > > >
> > > > > > > El 23 de enero de 2019 a las 2:49 Braiam Peguero <[hidden email]> escribió:
> > > > > > >
> > > > > > >
> > > > > > > > (Leyendo la base de datos ... 281664 ficheros o directorios instalados actualmente.)
> > > > > > > > Desinstalando xulrunner-1.9.1 (1.9.1.16+build2+nobinonly-0ubuntu0.9.10.1) ...
> > > > > > > > /var/lib/dpkg/info/xulrunner-1.9.1.prerm: 8: /var/lib/dpkg/info/xulrunner-1.9.1.prerm: /usr/sbin/update-alternatives: not found
> > > > > > > > dpkg: error al procesar el paquete xulrunner-1.9.1 (--remove):
> > > > > > >
> > > > > > >
> > > > > > > Si el archivo hubiese estado bloqueado, dpkg ni siquiera correría aquí
> > > > > > > ^^^^^^^^. Fallaría en hacer la operación inmediatamente.
> > > > > > > Probablemente, evan tenía alguna otra instalación en el momento (ie.
> > > > > > > Actualizaciones automaticas). Ese problema fue transitorio. El
> > > > > > > problema persistente, y por el cual evan primero nos contactó, es el
> > > > > > > paquete de xulrunner que tiene una versión que no existe después de
> > > > > > > 14.04, mientras que el esta usando 18.04! Como evan instaló este
> > > > > > > paquete? No tenemos ni idea, pero me tenía que asegurar de que
> > > > > > > eliminarlo no cause problemas, ni dejar problemas pendientes. Por eso
> > > > > > > solicite dpkg -C, apt-get install -f, etc. mientras que debía
> > > > > > > contra-recomendar remover los archivos lock ya que esto no resolvería
> > > > > > > el problema, mientras que puede causar más, porque sin este archivo
> > > > > > > evan podría tener 2 dpkg corriendo y empeorar la situación de que
> > > > > > > necesite un live cd para poder recuperar su sistema.
> > > > > > >
> > > > > > > Una vez modificado el pre-removal script, evan podrá desinstalar el
> > > > > > > paquete y en esto debemos concentrarnos.
> > > > > > >
> > > > > > > On Tue, Jan 22, 2019 at 8:41 PM <[hidden email]> wrote:
> > > > > > > >
> > > > > > > > El sáb, 19-01-2019 a las 19:37 +0100, evangelsan evangelsan escribió:
> > > > > > > > > Con estas órdenes, Braiam,  parece que el sistema realiza un montón
> > > > > > > > > de acciones pero al final me sale esto:
> > > > > > > > >
> > > > > > > > > fugitiv1@ordenador-desktop:~$ /var/lib/dpkg/lock
> > > > > > > > > bash: /var/lib/dpkg/lock: Permiso denegado
> > > > > > > > > fugitiv1@ordenador-desktop:~$ sudo apt-get update
> > > > > > > > > Obj:1 http://security.ubuntu.com/ubuntu bionic-security InRelease
> > > > > > > > > Obj:2 http://es.archive.ubuntu.com/ubuntu bionic InRelease
> > > > > > > > > Obj:3 http://es.archive.ubuntu.com/ubuntu bionic-updates InRelease
> > > > > > > > > Leyendo lista de paquetes... Hecho
> > > > > > > > >
> > > > > > > > > Y luego sigo sin poder eliminar el dichoso xulrunner:
> > > > > > > > > error 127
> > > > > > > > >
> > > > > > > > > Saludos
> > > > > > > >
> > > > > > > > Amigo, tienes que borrar ese pequeño archivo /var/lib/dpkg/lock ,
> > > > > > > > porque está bloqueando toda acción sobre la base de datos de paquetes.
> > > > > > > > Simplemente haz...
> > > > > > > >
> > > > > > > > sudo rm /var/lib/dpkg/lock
> > > > > > > >
> > > > > > > > Luego ejecuta el update...
> > > > > > > >
> > > > > > > > Saludos,
> > > > > > > > Mauricio J. Adonis C.
> > > > > > > >
> > > > > > >
> > > > > > >
> > > > > > > --
> > > > > > > Braiam
> > > > > > >
> > > > > > > --
> > > > > > > ubuntu-es mailing list
> > > > > > > [hidden email]
> > > > > > > https://lists.ubuntu.com/mailman/listinfo/ubuntu-es
> > > > >
> > > > >
> > > > >
> > > > > --
> > > > > Braiam
> > >
> > >
> > >
> > > --
> > > Braiam
>
> --
> ubuntu-es mailing list
> [hidden email]
> https://lists.ubuntu.com/mailman/listinfo/ubuntu-es



--
Braiam

--
ubuntu-es mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/ubuntu-es
12